> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List user tokens

> List all tokens for the authenticated user.



## OpenAPI

````yaml /api-reference/openapi.yml get /user/tokens
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /user/tokens:
    get:
      tags:
        - user
      summary: List user tokens
      description: List all tokens for the authenticated user.
      operationId: listTokens
      responses:
        '200':
          description: Returns the user tokens.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTokenResponse'
        '403':
          description: Forbidden. Restricted token cannot manage API tokens.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UserTokenResponse:
      type: array
      items:
        $ref: '#/components/schemas/UserToken'
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
    UserToken:
      required:
        - created_at
        - expires_at
        - id
        - name
        - token
      type: object
      properties:
        created_at:
          type: string
        expires_at:
          type: string
        id:
          type: string
        last_used_at:
          type: string
        name:
          type: string
        token:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````